<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   <extension
         id="org.polarsys.esf.localanalysis.execution.ui.setupcommand"
         point="org.eclipse.ui.commands">
      <command
            description="%menucontext.execution.ui.new.localanalysis.description"
            id="org.polarsys.esf.localanalysis.execution.ui.new.localanalysis.command"
            name="%menucontext.execution.ui.new.localanalysis.label">
      </command>
      <command
            description="%menucontext.execution.ui.create.ssystemeventslibrary.description"
            id="org.polarsys.esf.localanalysis.execution.ui.create.ssystemeventslibrary.command"
            name="%menucontext.execution.ui.create.ssystemeventslibrary.label">
      </command>
      <command
            description="%menucontext.execution.ui.create.ssystemeventtype.description"
            id="org.polarsys.esf.localanalysis.execution.ui.create.ssystemeventtype.command"
            name="%menucontext.execution.ui.create.ssystemeventtype.label">
      </command>
      <command
            description="%menucontext.execution.ui.create.ssystemeventslibrary.table.description"
            id="org.polarsys.esf.localanalysis.execution.ui.create.ssystemeventslibrary.table.command"
            name="%menucontext.execution.ui.create.ssystemeventslibrary.table.label">
      </command>
      <command
            description="%menucontext.execution.ui.create.ssystemeventtype.description"
            id="org.polarsys.esf.localanalysis.execution.ui.table.create.ssystemeventtype.command"
            name="%menucontext.execution.ui.create.ssystemeventtype.label">
      </command>
      <command
            description="%menucontext.execution.ui.create.sfearedeventslibrary.description"
            id="org.polarsys.esf.localanalysis.execution.ui.create.sfearedeventslibrary.command"
            name="%menucontext.execution.ui.create.sfearedeventslibrary.label">
      </command>
      <command
            description="%menucontext.execution.ui.create.sfearedeventsfamily.description"
            id="org.polarsys.esf.localanalysis.execution.ui.create.sfearedeventsfamily.command"
            name="%menucontext.execution.ui.create.sfearedeventsfamily.label">
      </command>
      <command
            description="%menucontext.execution.ui.create.sfearedevent.description"
            id="org.polarsys.esf.localanalysis.execution.ui.create.sfearedevent.command"
            name="%menucontext.execution.ui.create.sfearedevent.label">
      </command>
      <command
            description="%menucontext.execution.ui.create.esflocalanalysis.diagram.description"
            id="org.polarsys.esf.localanalysis.execution.ui.create.esflocalanalysis.diagram.command"
            name="%menucontext.execution.ui.create.esflocalanalysis.diagram.label">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            class="org.polarsys.esf.localanalysis.execution.ui.handler.StartNewLocalAnalysisHandler"
            commandId="org.polarsys.esf.localanalysis.execution.ui.new.localanalysis.command">
         <activeWhen>
            <and>
               <with
                     variable="selection">
                  <iterate>
                    <or>
                     <adapt
                           type="org.eclipse.emf.ecore.EObject">
                        <instanceof
                              value="org.eclipse.uml2.uml.Class">
                        </instanceof>
                     </adapt>
                     <adapt
                           type="org.eclipse.emf.ecore.EObject">
                        <instanceof
                              value="org.eclipse.uml2.uml.Package">
                        </instanceof>
                     </adapt>
                    </or>
                  </iterate>
               </with>
               <count
                     value="1">
               </count>
            </and>
         </activeWhen>
      </handler>
      <handler
            class="org.polarsys.esf.localanalysis.execution.ui.handler.CreateSSystemEventsLibraryHandler"
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.ssystemeventslibrary.command">
         <activeWhen>
            <and>
               <with
                     variable="selection">
                  <iterate>
                     <adapt
                           type="org.eclipse.emf.ecore.EObject">
                        <instanceof
                              value="org.eclipse.uml2.uml.Package">
                        </instanceof>
                     </adapt>
                  </iterate>
               </with>
               <count
                     value="1">
               </count>
            </and>
         </activeWhen>
      </handler>
      <handler
            class="org.polarsys.esf.localanalysis.execution.ui.handler.CreateSSystemEventTypeHandler"
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.ssystemeventtype.command">
         <activeWhen>
            <and>
               <with
                     variable="selection">
                  <iterate>
                     <adapt
                           type="org.eclipse.emf.ecore.EObject">
                        <instanceof
                              value="org.eclipse.uml2.uml.Package">
                        </instanceof>
                     </adapt>
                  </iterate>
               </with>
               <count
                     value="1">
               </count>
            </and>
         </activeWhen>
      </handler>
      <handler
            class="org.polarsys.esf.localanalysis.execution.ui.handler.CreateSSystemEventsLibraryTableHandler"
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.ssystemeventslibrary.table.command">
         <activeWhen>
            <and>
               <with
                     variable="selection">
                  <iterate>
                     <adapt
                           type="org.eclipse.emf.ecore.EObject">
                        <instanceof
                              value="org.eclipse.uml2.uml.Package">
                        </instanceof>
                     </adapt>
                  </iterate>
               </with>
               <count
                     value="1">
               </count>
            </and>
         </activeWhen>
      </handler>
      <handler
            class="org.polarsys.esf.localanalysis.execution.ui.handler.CreateSSystemEventTypeFromTableHandler"
            commandId="org.polarsys.esf.localanalysis.execution.ui.table.create.ssystemeventtype.command">
         <activeWhen>
            <with
                  variable="selection">
               <test
                     property="org.eclipse.papyrus.infra.nattable.tester.isNattableWidget"
                     value="true">
               </test>
            </with>
         </activeWhen>
      </handler>
      <handler
            class="org.polarsys.esf.localanalysis.execution.ui.handler.CreateSFearedEventsLibraryHandler"
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.sfearedeventslibrary.command">
         <activeWhen>
            <and>
               <with
                     variable="selection">
                  <iterate>
                     <adapt
                           type="org.eclipse.emf.ecore.EObject">
                        <instanceof
                              value="org.eclipse.uml2.uml.Package">
                        </instanceof>
                     </adapt>
                  </iterate>
               </with>
               <count
                     value="1">
               </count>
            </and>
         </activeWhen>
      </handler>
      <handler
            class="org.polarsys.esf.localanalysis.execution.ui.handler.CreateSFearedEventsFamilyHandler"
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.sfearedeventsfamily.command">
         <activeWhen>
            <and>
               <with
                     variable="selection">
                  <iterate>
                     <adapt
                           type="org.eclipse.emf.ecore.EObject">
                        <or>
                           <instanceof
                                 value="org.eclipse.uml2.uml.Package">
                           </instanceof>
                           <instanceof
                                 value="org.eclipse.uml2.uml.Class">
                           </instanceof>
                        </or>
                     </adapt>
                  </iterate>
               </with>
               <count
                     value="1">
               </count>
            </and>
         </activeWhen>
      </handler>
      <handler
            class="org.polarsys.esf.localanalysis.execution.ui.handler.CreateSFearedEventHandler"
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.sfearedevent.command">
         <activeWhen>
            <and>
               <with
                     variable="selection">
                  <iterate>
                     <adapt
                           type="org.eclipse.emf.ecore.EObject">
                        <or>
                           <instanceof
                                 value="org.eclipse.uml2.uml.Package">
                           </instanceof>
                           <instanceof
                                 value="org.eclipse.uml2.uml.Class">
                           </instanceof>
                        </or>
                     </adapt>
                  </iterate>
               </with>
               <count
                     value="1">
               </count>
            </and>
         </activeWhen>
      </handler>
      <handler
            class="org.polarsys.esf.localanalysis.execution.ui.handler.CreateESFLocalAnalysisDiagramHandler"
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.esflocalanalysis.diagram.command">
         <activeWhen>
            <and>
               <with
                     variable="selection">
                  <iterate>
                     <adapt
                           type="org.eclipse.emf.ecore.EObject">
                        <instanceof
                              value="org.eclipse.uml2.uml.Class">
                        </instanceof>
                     </adapt>
                  </iterate>
               </with>
               <count
                     value="1">
               </count>
            </and>
         </activeWhen>
      </handler>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            allPopups="false"
            locationURI="popup:org.eclipse.papyrus.views.modelexplorer.modelexplorer.popup?before=esf.general.bottom">
         <menu
               id="org.polarsys.esf.analysis.common.ui.analysis.tools.modelexplorer.menu"
               label="%menucontext.analysis.ui.analysis.tools.menu.label">
            <menu
                  icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/icon_esflocalanalysis_menu.png"
                  id="org.polarsys.esf.localanalysis.execution.ui.menu"
                  label="%menucontext.execution.ui.menu.label">
               <command
                     commandId="org.polarsys.esf.localanalysis.execution.ui.new.localanalysis.command"
                     label="%menucontext.execution.ui.new.localanalysis.label"
                     style="push">
               </command>
               <command
                     commandId="org.polarsys.esf.localanalysis.execution.ui.create.esflocalanalysis.diagram.command"
                     label="%menucontext.execution.ui.create.esflocalanalysis.diagram.label"
                     style="push">
               </command>
               <menu
                     icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/profile/icon_sfearedeventslibrary.png"
                     id="org.polarsys.esf.localanalysis.execution.ui.menu.sfearedevent.newchild"
                     label="%menucontext.execution.ui.menu.sfearedevent.newchild.label">
                  <command
                        commandId="org.polarsys.esf.localanalysis.execution.ui.create.sfearedeventslibrary.command"
                        label="%menucontext.execution.ui.create.sfearedeventslibrary.label"
                        style="push">
                  </command>
                  <command
                        commandId="org.polarsys.esf.localanalysis.execution.ui.create.sfearedeventsfamily.command"
                        label="%menucontext.execution.ui.create.sfearedeventsfamily.label"
                        style="push">
                  </command>
                  <command
                        commandId="org.polarsys.esf.localanalysis.execution.ui.create.sfearedevent.command"
                        label="%menucontext.execution.ui.create.sfearedevent.label"
                        style="push">
                  </command>
               </menu>
               <menu
                     icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/profile/icon_ssystemeventslibrary.png"
                     id="org.polarsys.esf.localanalysis.execution.ui.menu.ssystemevent.newchild"
                     label="%menucontext.execution.ui.menu.ssystemevent.newchild.label">
                  <command
                        commandId="org.polarsys.esf.localanalysis.execution.ui.create.ssystemeventslibrary.command"
                        label="%menucontext.execution.ui.create.ssystemeventslibrary.label"
                        style="push">
                  </command>
                  <command
                        commandId="org.polarsys.esf.localanalysis.execution.ui.create.ssystemeventtype.command"
                        label="%menucontext.execution.ui.create.ssystemeventtype.label"
                        style="push">
                  </command>
                  <command
                        commandId="org.polarsys.esf.localanalysis.execution.ui.create.ssystemeventslibrary.table.command"
                        label="%menucontext.execution.ui.create.ssystemeventslibrary.table.label"
                        style="push">
                  </command>
               </menu>
            </menu>
         </menu>
      </menuContribution>
      <menuContribution
            allPopups="false"
            locationURI="popup:org.eclipse.papyrus.infra.nattable.widget.menu?after=general.separator">
         <menu
               id="org.polarsys.esf.analysis.common.ui.analysis.tools.table.menu"
               label="%menucontext.analysis.ui.analysis.tools.menu.label">
            <menu
                  icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/icon_esflocalanalysis_menu.png"
                  id="org.polarsys.esf.localanalysis.execution.ui.table.menu"
                  label="%menucontext.execution.ui.menu.label">
               <command
                     commandId="org.polarsys.esf.localanalysis.execution.ui.table.create.ssystemeventtype.command"
                     label="%menucontext.execution.ui.create.ssystemeventtype.label"
                     style="push">
               </command>
               <visibleWhen
                     checkEnabled="false">
                  <with
                        variable="selection">
                     <test
                           property="org.eclipse.papyrus.infra.nattable.tester.isNattableWidget"
                           value="true">
                     </test>
                  </with>
               </visibleWhen>
            </menu>
         </menu>
      </menuContribution>
   </extension>
   <extension
         point="org.eclipse.ui.commandImages">
      <image
            commandId="org.polarsys.esf.localanalysis.execution.ui.new.localanalysis.command"
            icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/profile/icon_slocalanalysis.png">
      </image>
      <image
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.ssystemeventslibrary.command"
            icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/profile/icon_ssystemeventslibrary.png">
      </image>
      <image
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.ssystemeventtype.command"
            icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/profile/icon_ssystemeventtype.png">
      </image>
      <image
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.ssystemeventslibrary.table.command"
            icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/icon_ssystemeventslibrary_table.png">
      </image>
      <image
            commandId="org.polarsys.esf.localanalysis.execution.ui.table.create.ssystemeventtype.command"
            icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/profile/icon_ssystemeventtype.png">
      </image>
      <image
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.sfearedeventslibrary.command"
            icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/profile/icon_sfearedeventslibrary.png">
      </image>
      <image
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.sfearedeventsfamily.command"
            icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/profile/icon_sfearedeventsfamily.png">
      </image>
      <image
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.sfearedevent.command"
            icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/profile/icon_sfearedevent.png">
      </image>
      <image
            commandId="org.polarsys.esf.localanalysis.execution.ui.create.esflocalanalysis.diagram.command"
            icon="platform:/plugin/org.polarsys.esf.localanalysis.resources.graphical/src/main/resources/icons/icon_diagram_local_analysis.png">
      </image>
   </extension>

</plugin>
